# Draw Matrix

(PHP 7, UI 0.9.9)

## Introduction

## Class synopsis

UI\Draw\Matrix {
/* Methods */
public invert ( void )
public isInvertible ( void ) : bool
public multiply ( UI\Draw\Matrix `$matrix` ) : UI\Draw\Matrix
public rotate ( UI\Point `$point` , float `$amount` )
public scale ( UI\Point `$center` , UI\Point `$point` )
public skew ( UI\Point `$point` , UI\Point `$amount` )
public translate ( UI\Point `$point` )
}

## Table of Contents

- UI\Draw\Matrix::invert — Invert Matrix
- UI\Draw\Matrix::isInvertible — Invertible Detection
- UI\Draw\Matrix::multiply — Multiply Matrix
- UI\Draw\Matrix::rotate — Rotate Matrix
- UI\Draw\Matrix::scale — Scale Matrix
- UI\Draw\Matrix::skew — Skew Matrix
- UI\Draw\Matrix::translate — Translate Matrix